Bug 76617 - Broken page rendering with massive JS import (Windows only)
Summary: Broken page rendering with massive JS import (Windows only)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows Vista
: P4 Minor
Assignee: Nobody
URL: http://public2.tableausoftware.com/vi...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2012-01-19 03:45 PST by Alexey Utkin
Modified: 2012-02-09 00:44 PST (History)
4 users (show)

See Also:


Attachments
public2.tableausoftware.com screen shot (25.31 KB, image/jpeg)
2012-01-19 03:45 PST, Alexey Utkin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Utkin 2012-01-19 03:45:00 PST
Created attachment 123098 [details]
public2.tableausoftware.com screen shot

There is the problem in nightly builds (the first time was registered on r102723 and still exists in r105370). That is a platform-related bug. It is on Windows platform and it is not on Mac OS.
Bug is not a JIT problem (both versions with and without JIT are affected).

1. The page
http://public2.tableausoftware.com/views/Storm-Analysis-6_0/StormWatch
cannot be rendered.
2. On the site http://gmail.com the mail content could not be opened.

In both cases the endless loading notification is shown.
Comment 1 Alexey Proskuryakov 2012-01-19 12:15:57 PST
<rdar://problem/10724357>
Comment 2 Alexey Utkin 2012-01-23 04:18:26 PST
Sorry, the deep research shows: that is a JIT problem.
The setting
   #define ENABLE_JIT 0 
in 
   Source\JavaScriptCore\wtf\Platform.h
solves the problem.
Comment 3 Alexey Proskuryakov 2012-01-27 11:41:04 PST
This should have been fixed by <http://trac.webkit.org/changeset/106075>. Please reopen if you can still reproduce the problem.
Comment 4 Alexey Utkin 2012-02-07 05:06:28 PST
The bug was fixed by
<http://trac.webkit.org/changeset/106075>

BUT! Sites (gmail and tableausoftware) crash the browser if JIT is switched off
by setting #define ENABLE_JIT 0 in Source\JavaScriptCore\wtf\Platform.h.

Please, inform me if JIT-disable option is not supported.
Vista 32bit, MSVS 10 compiler.
Comment 5 Alexey Utkin 2012-02-07 05:07:38 PST
P2 -> P4
Comment 6 Alexey Proskuryakov 2012-02-07 08:11:10 PST
I believe that no-JIT builds are supported (and any reproducible crash is P1). Could you please file a new bug, and close this one? Tracking multiple fixes in one bug causes confusion.
Comment 7 Alexey Utkin 2012-02-09 00:44:09 PST
In accordance with Alexey recommendation new bug would be created.
That problem was resolved.